このスレッドは未解決です(解決したらこちらで解決済にしてください)
<<戻る

yumでiptablesの処理でエラー このメッセージに返信する
日時: 2013/03/13(Wed) 10:56
名前: masamira
URL:
masamiraです。いつも、お世話になっております。

今回は、先日よりyum updateを実施すると以下のエラーが発生して困っています。

Loaded plugins: downloadonly, fastestmirror, priorities, refresh-packagekit,
: security
Loading mirror speeds from cached hostfile
* base: ftp.jaist.ac.jp
* centosplus: ftp.jaist.ac.jp
* epel: ftp.kddilabs.jp
* extras: ftp.jaist.ac.jp
* rpmforge: mirror.fairway.ne.jp
* updates: ftp.jaist.ac.jp
75 packages excluded due to repository priority protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package iptables.i686 0:1.4.7-5.1.el6_2 will be updated
---> Package iptables.i686 0:1.4.7-9.el6 will be an update
---> Package iptables-ipv6.i686 0:1.4.7-5.1.el6_2 will be updated
---> Package iptables-ipv6.i686 0:1.4.7-9.el6 will be an update
--> Processing Dependency: /sbin/iptables-save for package: apf-9.7_1-1.el6.rf.noarch
--> Processing Dependency: /sbin/iptables-restore for package: apf-9.7_1-1.el6.rf.noarch
--> Processing Dependency: /sbin/iptables for package: apf-9.7_1-1.el6.rf.noarch
--> Finished Dependency Resolution
Error: Package: apf-9.7_1-1.el6.rf.noarch (@rpmforge)
Requires: /sbin/iptables-restore
Removing: iptables-1.4.7-5.1.el6_2.i686 (@updates)
Not found
Updated By: iptables-1.4.7-9.el6.i686 (base)
Not found
Error: Package: apf-9.7_1-1.el6.rf.noarch (@rpmforge)
Requires: /sbin/iptables-save
Removing: iptables-1.4.7-5.1.el6_2.i686 (@updates)
Not found
Updated By: iptables-1.4.7-9.el6.i686 (base)
Not found
Error: Package: apf-9.7_1-1.el6.rf.noarch (@rpmforge)
Requires: /sbin/iptables
Removing: iptables-1.4.7-5.1.el6_2.i686 (@updates)
Not found
Updated By: iptables-1.4.7-9.el6.i686 (base)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

どうしても、updateを行いたい時にはオプションの"--skip-broken"を付与して実行しています。

普通に"yum update"を実施した時に上記のエラーが発生しないようにするにはどうすればよろしいのでしょうか?
どうか、対処方法を教えてください。
よろしくお願いいたします。
記事編集 編集

Page: | 1 | 2 |

Re: yumでiptablesの処理でエラー このメッセージに返信する
日時: 2013/04/02(Tue) 01:39
名前: masamira
URL:
stranger さん、いつもお世話になっております。
検索結果は、同じものが表示されました。
そこで、/etc/yum.repos.dの中にある CentOS-Base.repo と rpmforge.repo を無効化して epel.repo のみ有効にしてyum updateを実施したのですが、下記のメッセージが表示され上手くいきませんでした。
私がやっていることが間違っているのでしょうか?
申し訳ありませんが、詳細な解決方法を教えてください。
どうか、よろしくお願いいたします。


Loaded plugins: downloadonly, fastestmirror, priorities, refresh-packagekit,
: security
Determining fastest mirrors
epel/metalink | 4.2 kB 00:00
* epel: ftp.jaist.ac.jp
epel | 4.2 kB 00:00
epel/primary_db | 4.2 MB 00:02
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package amavisd-new.i686 0:2.8.0-1.el6.rf will be updated
---> Package amavisd-new.noarch 0:2.8.0-4.el6 will be an update
--> Processing Dependency: /etc/clamd.d for package: amavisd-new-2.8.0-4.el6.noarch
--> Processing Dependency: /etc/clamd.d for package: amavisd-new-2.8.0-4.el6.noarch
--> Finished Dependency Resolution
Error: Package: amavisd-new-2.8.0-4.el6.noarch (epel)
Requires: /etc/clamd.d
Available: clamd-0.97.7-1.el6.i686 (epel)
Not found
Installed: clamd-0.97.7-1.el6.rf.i686 (@rpmforge)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
記事編集 編集
Re: yumでiptablesの処理でエラー このメッセージに返信する
日時: 2013/04/02(Tue) 02:11
名前: stranger
URL: http://ja.528p.com/
rpm -ql clamd
を実行してみる
/etc/clamd.dがないでしょ

Installed: clamd-0.97.7-1.el6.rf.i686 (@rpmforge)
すでにインストールされている rpmforgeのパッケージに
/etc/clamd.dが存在しないためにエラーになっています

epelとrpmforgeとで同じ名前のパッケージなのに
ファイル構成がちがうので、混在していてエラーになっているようです
いいとこ取りをせずにどちらかに絞って
パッケージを強制的に入れ替えてください

入れ替えたら
使わないほうのrepo設定にexclude設定をしておく
記事編集 編集
Re: yumでiptablesの処理でエラー このメッセージに返信する
日時: 2013/04/02(Tue) 09:07
名前: masamira
URL:
いつもお世話になっています。
stranger さんのおかげで無事解決しました。

原因も対処策もレスを読んでいただけるとわかると思います。
stranger さんが丁寧に説明しているので。

stranger さん、本当にありがとうございました。

ちなみに、私はclamdに関してrpmfoge関連のパッケージを削除して、epelよりinstallしました。

これにて、解決済みにします。スレッドが長くなって申し訳ありませんでした。それと、パスワードを設定していなかったため解決済みにできなくてすいません。管理人様、解決済み処理をお願いします。
記事編集 編集

Page: | 1 | 2 |

件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -